Bug 523355 - Review Request: kio_gopher - Gopher KIO slave for Konqueror
Review Request: kio_gopher - Gopher KIO slave for Konqueror
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-15 00:08 EDT by Kevin Kofler
Modified: 2009-09-17 19:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 19:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2009-09-15 00:08:17 EDT
Spec URL: http://repo.calcforge.org/f12/kio_gopher.spec
SRPM URL: http://repo.calcforge.org/f12/kio_gopher-0.1.3-1.fc10.kde4.3.1.src.rpm
Description:
This KIO slave adds support for the Gopher protocol to Konqueror.

F10 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1679437
F11 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1679452
F12 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1679466
(all successful on all 4 architectures)

rpmlint output on SRPM, i386.rpm and -debuginfo i386.rpm:
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

To test, install the package and point Konqueror to:
gopher://gopher.quux.org:70/1/
Compare with the web interface at:
http://gopher.quux.org:70/
(Note that some links on that site don't work. They return the same errors through the web interface, so I assume this is a server side issue.)
(It's interesting that the server supports both HTTP and Gopher on the same port.)
Comment 1 Jaroslav Reznik 2009-09-15 11:29:14 EDT
Well, quick review as this is simple package.

rpmlint OK
build (local OK) (in Koji OK) (archs OK)
name OK
URL & sources OK
sources MD5 OK
license OK (GPLv2+)
buildroot OK
works OK

I'm not sure about versioning - in upstream tarball kde-4.3.1 is in version tag, in some other own packages we omit it. We should be consistent in versioning.
Comment 2 Kevin Kofler 2009-09-15 18:10:57 EDT
I can drop the kde4.3.1 tag from Release if you prefer, I'm not particularly attached to it (i.e. I'm fine with removing it). (But the guidelines do allow non-numeric versioning tags after the disttag.)
Comment 3 Jaroslav Reznik 2009-09-16 04:02:20 EDT
(In reply to comment #2)
> I can drop the kde4.3.1 tag from Release if you prefer, I'm not particularly
> attached to it (i.e. I'm fine with removing it). 

Well, please remove it.
Comment 4 Kevin Kofler 2009-09-16 13:46:56 EDT
Spec URL: http://repo.calcforge.org/f12/kio_gopher.spec
SRPM URL: http://repo.calcforge.org/f12/kio_gopher-0.1.3-2.fc10.src.rpm

* Tue Sep 15 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.1.3-2
- drop postfix tag from Release
Comment 5 Kevin Kofler 2009-09-16 13:47:36 EDT
Ugh, the date is wrong in the changelog entry... I guess I'll fix that when importing the package. ;-)
Comment 6 Kevin Kofler 2009-09-16 13:53:57 EDT
Reuploaded with the correct changelog date (Wed Sep 16 2009). ;-)
Comment 7 Jaroslav Reznik 2009-09-16 17:42:55 EDT
APPROVED
Comment 8 Kevin Kofler 2009-09-16 18:17:06 EDT
You're supposed to set fedora-review+, not fedora-cvs+.
Comment 9 Jaroslav Reznik 2009-09-17 06:31:14 EDT
(In reply to comment #8)
> You're supposed to set fedora-review+, not fedora-cvs+.  

Ah, thanks, my mistake... I was setting fedora-cvs+ on another review and you, sometimes you do thinks automaticaly ;-)
Comment 10 Kevin Kofler 2009-09-17 08:02:55 EDT
New Package CVS Request
=======================
Package Name: kio_gopher
Short Description: Gopher KIO slave for Konqueror
Owners: kkofler jreznik rdieter ltinkl than svahl
Branches: F-10 F-11
InitialCC: tuxbrewr
Comment 11 Kevin Fenzi 2009-09-17 15:07:02 EDT
cvs done.
Comment 12 Kevin Kofler 2009-09-17 19:58:34 EDT
Imported, built.

Note You need to log in before you can comment on or make changes to this bug.